Bit of an odd one this, but I felt worth blogging about.

The latest Dell SUU (6.5.3.25) doesn’t seem to be able to detect applicable updates when it’s run on a Linux system.

You get the message:

"bash-3.2# ./suu -c
------------------------------------------------
Welcome to the Dell OpenManageServer Update Utility.
Copyright (c) 2003-2011 Dell Inc. All Rights Reserved.
SUU Version: 6 .5 .3 .25
There are no software updates applicable to this system.
Please refer to the User Guide for more information about
prerequisites and supported systems."

Now, I know this isn’t true; because the current BIOS version is 3.0.0 and the one in the SUU repository is 6.0.7. Also, normally you get a comparison list of results, even if none of the updates can be applied.

If I downgrade SUU to 6.5.2.20, it works as expected.

How do we fix this?

If you want to replace SUU 6.5.3 with a working SUU 6.5.2 you’ll need to:

  1. Download SUU 6.5.2
  2. Delete SUU_653.cab from C:\Users\<username>\AppData\Local\RepositoryManager\Payloads\
  3. Copy the SUU_652.cab that you just downloaded into C:\Users\<username>\AppData\Local\RepositoryManager\Payloads\
  4. Re-export your repository/SUU via Dell Repository Manager

Let me know how you get on!

Written by Phil Wiffen

Phil is an IT Professional working in Cambridge, England. He generally blogs about useful solutions that he comes across in his work/play.

Leave a Reply

Your email address will not be published. Required fields are marked *